Page MenuHomePhabricator

[Task] {{#property:…}} parser function should enforce the parser's restricted function limit
Closed, ResolvedPublic

Description

Right now we just increase it, but don't show any error in case we hit the limit.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
ResolvedTpt
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedJarekt
ResolvedNone
Resolvedhoo
Resolvedhoo
Resolvedhoo

Event Timeline

hoo created this task.Jul 17 2015, 9:54 PM
hoo raised the priority of this task from to Needs Triage.
hoo updated the task description. (Show Details)
hoo added subscribers: hoo, Lydia_Pintscher, Aklapper.
JanZerebecki renamed this task from {{#property:…}} parser function should enforce the parser's restricted function limit to [Task] {{#property:…}} parser function should enforce the parser's restricted function limit.Sep 24 2015, 12:19 PM
JanZerebecki triaged this task as High priority.
JanZerebecki set Security to None.
JanZerebecki moved this task from incoming to needs discussion or investigation on the Wikidata board.

Change 302613 had a related patch set uploaded (by Hoo man):
Enforce the expensive function limit in the {{#property:…}} parser function

https://gerrit.wikimedia.org/r/302613

hoo claimed this task.Aug 2 2016, 9:45 PM

Change 302613 merged by jenkins-bot:
Enforce the expensive function limit in the {{#property:…}} parser function

https://gerrit.wikimedia.org/r/302613

hoo closed this task as Resolved.Aug 3 2016, 8:12 AM